## org.codehaus.groovy.grails.support
Class StaticResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader

All Implemented Interfaces:
  ResourceLoader

Direct Known Subclasses:
  GroovyPageResourceLoader

    public class StaticResourceLoader

extends Object
implements ResourceLoader

A ResourceLoader that loads resources from a statically defined base resource.

Since:
  0.5

  Created: Feb 26, 2007 Time: 3:45:36 PM
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`StaticResourceLoader()`

Method Summary
`ClassLoader` `getClassLoader()`
`Resource` `getResource(String location)`
`void` `setBaseResource(Resource baseResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticResourceLoader

    public StaticResourceLoader()

Method Detail

### setBaseResource

    public void setBaseResource(Resource baseResource)

### getResource

    public Resource getResource(String location)

  Specified by:
    `getResource` in interface `ResourceLoader`

### getClassLoader

    public ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `ResourceLoader`

Copyright (c) 2005-2009 The Grails project